---
-- Blue Cap Setup
-- Apr 2021
-- 
BASE:I("CAPGCI Setup Loading")
-- Kiryat "Blue Sq3 M2000c", "Blue Sq3 F16"

ZoneAlpha=ZONE:New("Zone Alpha")  
ZoneBravo=ZONE:New("Zone Bravo")  

ZoneCAPAlpha=ZONE:New("Zone CAP Alpha")   
ZoneCAPBravo=ZONE:New("Zone CAP Bravo")   

ZoneCAPREDAlpha=ZONE:New("Zone REDCAP Alpha")   
ZoneCAPREDBravo=ZONE:New("Zone REDCAP Bravo")  
ZoneCAPREDCharlie=ZONE:New("Zone REDCAP Charlie")  

local BlueBorder = ZONE_POLYGON:New( "Blue Border", GROUP:FindByName( "Blue Border" ) )
local RedBorder = ZONE_POLYGON:New( "Red Border", GROUP:FindByName( "Red Border" ) )

--/////////////////////////////////////////////////////////////////////////////////--
--///////////////////////////////AIRWING SETUP/////////////////////////////////////--
--/////////////////////////////////////////////////////////////////////////////////--

-----////////////////////////////////////BLUFOR///////////////////////////////////////--
-----///////////////////////////////CVN-72 SQUADRONS//////////////////////////////////--

CVN72AW = AIRWING:New("CVN-72 USS Abraham Lincoln", "CVN-72 USS Abraham Lincoln") 
CVN72AW:SetReportOff()
CVN72AW:SetMarker(false)
CVN72AW:SetRespawnAfterDestroyed(300)
CVN72AW:Start()

function CVN72AW:OnAfterFlightOnMission(From, Event, To, Flightgroup, Mission)
  local flightgroup = Flightgroup -- Ops.FlighGroup#FLIGHTGROUP
  flightgroup:SetDespawnAfterLanding()
  flightgroup:SetDestinationbase(AIRBASE:FindByName(AIRBASE.Syria.Rene_Mouawad))
  flightgroup:GetGroup():CommandEPLRS(true,5)
  flightgroup:SetEngageDetectedOn(25,{"Air"},BlueBorder)
  
  function flightgroup:OnAfterHolding(From,Event,To)
    self:ClearToLand(5)
  end 
  
end

function CVN72AW:OnAfterHolding(From,Event,To)
  self:ClearToLand(5)
end

VFA113 = SQUADRON:New("VFA113 Squadron", 24, "VFA113 Squadron (F/A-18C)") 
VFA113:AddMissionCapability({
							AUFTRAG.Type.ANTISHIP,
							AUFTRAG.Type.BAI,
							AUFTRAG.Type.BOMBING,
							AUFTRAG.Type.BOMBRUNWAY,
							AUFTRAG.Type.CAP,
							AUFTRAG.Type.CAS,
							AUFTRAG.Type.ESCORT,
							AUFTRAG.Type.FACA,
							AUFTRAG.Type.INTERCEPT,
							AUFTRAG.Type.SEAD,
							AUFTRAG.Type.STRIKE
							}, 100)
VFA113:SetRadio(305)
VFA113:SetMissionRange(400)
VFA113:SetFuelLowRefuel(true)
VFA113:SetFuelLowThreshold(0.3)
VFA113:SetTurnoverTime(10,20)

CVN72AW:AddSquadron(VFA113)
CVN72AW:NewPayload("CVN72 F18CAP", 20, {AUFTRAG.Type.CAP, AUFTRAG.Type.GCICAP, AUFTRAG.Type.INTERCEPT}, 100)
CVN72AW:NewPayload("CVN72 F18SEAD", 20, {AUFTRAG.Type.SEAD}, 100)

-----///////////////////////////////AL MINHAD SQUADRONS//////////////////////////////////--

BLUMIN = AIRWING:New("Al Minhad Warehouse BLUE", "Al Minhad Warehouse BLUE")
BLUMIN:SetReportOff()
BLUMIN:SetMarker(false)
BLUMIN:SetAirbase(AIRBASE:FindByName(AIRBASE.PersianGulf.Al_Minhad_AB))
BLUMIN:SetRespawnAfterDestroyed(300)
BLUMIN:Start()

function BLUMIN:OnAfterFlightOnMission(From, Event, To, Flightgroup, Mission)
  local flightgroup = Flightgroup -- Ops.FlighGroup#FLIGHTGROUP
  flightgroup:SetDespawnAfterLanding()
  flightgroup:GetGroup():CommandEPLRS(true,5)
  flightgroup:SetEngageDetectedOn(25,{"Air"},BlueBorder)
  
  function flightgroup:OnAfterHolding(From,Event,To)
    self:ClearToLand(5)
  end 
  
end

FSQN77 = SQUADRON:New("77 Fighter Sqn", 4, "77 Fighter Sqn (F-16C)") --Ops.Squadron#SQUADRON
FSQN77:AddMissionCapability({AUFTRAG.Type.CAP, AUFTRAG.Type.GCICAP, AUFTRAG.Type.INTERCEPT, AUFTRAG.Type.ESCORT, AUFTRAG.Type.CAS, AUFTRAG.Type.SEAD}, 100)
FSQN77:SetRadio(305)
FSQN77:SetMissionRange(200)
FSQN77:SetFuelLowRefuel(true)
FSQN77:SetFuelLowThreshold(0.3)
FSQN77:SetTurnoverTime(10,20)
 
FSQN493 = SQUADRON:New("493 Fighter Sqn", 4, "493 Fighter Sqn (F-15C)") --Ops.Squadron#SQUADRON
FSQN493:AddMissionCapability({AUFTRAG.Type.CAP, AUFTRAG.Type.GCICAP, AUFTRAG.Type.INTERCEPT, AUFTRAG.Type.ESCORT}, 100)
FSQN493:SetRadio(305)
FSQN493:SetMissionRange(200)
FSQN493:SetFuelLowRefuel(true)
FSQN493:SetFuelLowThreshold(0.3)
FSQN493:SetTurnoverTime(10,20)
 
FSQN492 = SQUADRON:New("492 Fighter Sqn", 4, "492 Fighter Sqn (F-15E)") --Ops.Squadron#SQUADRON
FSQN492:AddMissionCapability({AUFTRAG.Type.STRIKE, AUFTRAG.Type.BOMBING, AUFTRAG.Type.BAI, AUFTRAG.Type.BOMBRUNWAY}, 100)
FSQN492:SetRadio(305)
FSQN492:SetMissionRange(200)
FSQN492:SetFuelLowRefuel(true)
FSQN492:SetFuelLowThreshold(0.3)
FSQN492:SetTurnoverTime(10,20)

FSQN81 = SQUADRON:New("81 Fighter Sqn", 4, "81 Fighter Sqn (A-10C)") --Ops.Squadron#SQUADRON
FSQN81:AddMissionCapability({AUFTRAG.Type.CAS}, 100)
FSQN81:SetRadio(305)
FSQN81:SetMissionRange(200)
FSQN81:SetFuelLowRefuel(true)
FSQN81:SetFuelLowThreshold(0.3)
FSQN81:SetTurnoverTime(10,20)
  
CSQN963 = SQUADRON:New("963 Air Control Squadron", 2, "963 Air Control Squadron (E-3A)") --Ops.Squadron#SQUADRON
CSQN963:AddMissionCapability({AUFTRAG.Type.AWACS}, 100)
CSQN963:SetRadio(251)
CSQN963:SetMissionRange(200)
CSQN963:SetFuelLowRefuel(true)
CSQN963:SetFuelLowThreshold(0.3)
CSQN963:SetTurnoverTime(10,20)
 
ARW100 = SQUADRON:New("100 Air Refueling Wing", 2, "100 Air Refueling Wing (KC-135MPRS)") --Ops.Squadron#SQUADRON
ARW100:AddMissionCapability({AUFTRAG.Type.TANKER}, 100)
ARW100:SetRadio(252)
ARW100:SetMissionRange(200)
ARW100:SetFuelLowRefuel(true)
ARW100:SetFuelLowThreshold(0.3)
ARW100:SetTurnoverTime(10,20)
 
ARW22 = SQUADRON:New("22 Air Refueling Wing", 2, "22 Air Refueling Wing (KC-135)") --Ops.Squadron#SQUADRON
ARW22:AddMissionCapability({AUFTRAG.Type.TANKER}, 100)
ARW22:SetRadio(252)
ARW22:SetMissionRange(200)
ARW22:SetFuelLowRefuel(true)
ARW22:SetFuelLowThreshold(0.3)
ARW22:SetTurnoverTime(10,20)

BLUMIN:AddSquadron(FSQN77)
BLUMIN:NewPayload(GROUP:FindByName("MIN F16CAP"), 20, {AUFTRAG.Type.CAP, AUFTRAG.Type.GCICAP}, 100)
BLUMIN:NewPayload(GROUP:FindByName("MIN F16ESCORT"), 20, {AUFTRAG.Type.ESCORT}, 100)
BLUMIN:NewPayload(GROUP:FindByName("MIN F16CAS"), 20, {AUFTRAG.Type.CAS}, 100)
BLUMIN:NewPayload(GROUP:FindByName("MIN F16SEAD"), 20, {AUFTRAG.Type.SEAD}, 100)

BLUMIN:AddSquadron(FSQN493)
BLUMIN:NewPayload(GROUP:FindByName("INK F15CAP"), 20, {AUFTRAG.Type.CAP, AUFTRAG.Type.GCICAP}, 100) 

BLUMIN:AddSquadron(FSQN492)
BLUMIN:NewPayload(GROUP:FindByName("INK F15ESCORT"), 20, {AUFTRAG.Type.ESCORT}, 100) 
BLUMIN:NewPayload(GROUP:FindByName("INK F15ESTRIKE"), 20, {AUFTRAG.Type.STRIKE}, 100) 
BLUMIN:NewPayload(GROUP:FindByName("INK F15EBOMB"), 20, {AUFTRAG.Type.BOMBING}, 100) 
BLUMIN:NewPayload(GROUP:FindByName("INK F15ERWYBOMB"), 20, {AUFTRAG.Type.BOMBRUNWAY}, 100) 
BLUMIN:NewPayload(GROUP:FindByName("INK F15EBAI"), 20, {AUFTRAG.Type.BAI}, 100) 

BLUMIN:AddSquadron(FSQN81)
BLUMIN:NewPayload(GROUP:FindByName("INK A10CAS"), 20, {AUFTRAG.Type.CAS}, 100)

BLUMIN:AddSquadron(CSQN963)
BLUMIN:AddSquadron(ARW100)
BLUMIN:AddSquadron(ARW22)

-----////////////////////////////////////OPFOR///////////////////////////////////////--
-----///////////////////////////////IRAN SQUADRONS//////////////////////////////////--

REDSHI = AIRWING:New("Shiraz Warehouse RED", "Shiraz Warehouse RED")
REDSHI:SetReportOff()
REDSHI:SetMarker(false)
REDSHI:SetAirbase(AIRBASE:FindByName(AIRBASE.PersianGulf.Shiraz_International_Airport))
REDSHI:SetRespawnAfterDestroyed(300)
REDSHI:Start()

REDBAN = AIRWING:New("Bandar Abbas Warehouse RED", "Bandar Abbas Warehouse RED")
REDBAN:SetReportOff()
REDBAN:SetMarker(false)
REDBAN:SetAirbase(AIRBASE:FindByName(AIRBASE.PersianGulf.Bandar_Abbas_Intl))
REDBAN:SetRespawnAfterDestroyed(300)
REDBAN:Start()

function REDSHI:OnAfterFlightOnMission(From, Event, To, Flightgroup, Mission)
  local flightgroup = Flightgroup -- Ops.FlighGroup#FLIGHTGROUP
  flightgroup:SetDespawnAfterLanding()
  flightgroup:GetGroup():CommandEPLRS(true,5)
  flightgroup:SetEngageDetectedOn(25,{"Air"},RedBorder)
  
  function flightgroup:OnAfterHolding(From,Event,To)
    self:ClearToLand(5)
  end 
  
end

function REDBAN:OnAfterFlightOnMission(From, Event, To, Flightgroup, Mission)
  local flightgroup = Flightgroup -- Ops.FlighGroup#FLIGHTGROUP
  flightgroup:SetDespawnAfterLanding()
  flightgroup:GetGroup():CommandEPLRS(true,5)
  flightgroup:SetEngageDetectedOn(25,{"Air"},RedBorder)
  
  function flightgroup:OnAfterHolding(From,Event,To)
    self:ClearToLand(5)
  end 
  
end

IRANMIG29 = SQUADRON:New("Red MIG-29", 4, "IRIAF MIG-29 Squadron") --Ops.Squadron#SQUADRON
IRANMIG29:AddMissionCapability({AUFTRAG.Type.CAP, AUFTRAG.Type.GCICAP, AUFTRAG.Type.INTERCEPT}, 100)
IRANMIG29:SetRadio(305)
IRANMIG29:SetMissionRange(200)
IRANMIG29:SetFuelLowRefuel(true)
IRANMIG29:SetFuelLowThreshold(0.3)
IRANMIG29:SetTurnoverTime(10,20)
 
IRANF5 = SQUADRON:New("Red F5", 8, "IRIAF F5 Squadron") --Ops.Squadron#SQUADRON
IRANF5:AddMissionCapability({AUFTRAG.Type.CAP, AUFTRAG.Type.GCICAP, AUFTRAG.Type.INTERCEPT}, 100)
IRANF5:SetRadio(305)
IRANF5:SetMissionRange(200)
IRANF5:SetFuelLowRefuel(true)
IRANF5:SetFuelLowThreshold(0.3)
IRANF5:SetTurnoverTime(10,20)
 
IRANF14 = SQUADRON:New("Red F14", 2, "IRIAF F14 Squadron") --Ops.Squadron#SQUADRON
IRANF14:AddMissionCapability({AUFTRAG.Type.CAP, AUFTRAG.Type.GCICAP, AUFTRAG.Type.INTERCEPT}, 100)
IRANF14:SetRadio(305)
IRANF14:SetMissionRange(200)
IRANF14:SetFuelLowRefuel(true)
IRANF14:SetFuelLowThreshold(0.3)
IRANF14:SetTurnoverTime(10,20)

IRANF4 = SQUADRON:New("Red F4", 8, "IRIAF F4 Squadron") --Ops.Squadron#SQUADRON
IRANF4:AddMissionCapability({AUFTRAG.Type.CAP, AUFTRAG.Type.GCICAP, AUFTRAG.Type.INTERCEPT}, 100)
IRANF4:SetRadio(305)
IRANF4:SetMissionRange(200)
IRANF4:SetFuelLowRefuel(true)
IRANF4:SetFuelLowThreshold(0.3)
IRANF4:SetTurnoverTime(10,20)


REDSHI:AddSquadron(IRANMIG29)
REDSHI:NewPayload(GROUP:FindByName("Red MIG-29 CAP"), 20, {AUFTRAG.Type.CAP, AUFTRAG.Type.GCICAP, AUFTRAG.Type.INTERCEPT}, 100) 

REDSHI:AddSquadron(IRANF5)
REDSHI:NewPayload(GROUP:FindByName("Red F5 CAP"), 20, {AUFTRAG.Type.CAP, AUFTRAG.Type.GCICAP, AUFTRAG.Type.INTERCEPT}, 100)

REDSHI:AddSquadron(IRANF14)
REDSHI:NewPayload(GROUP:FindByName("Red F14 CAP"), 20, {AUFTRAG.Type.CAP, AUFTRAG.Type.GCICAP, AUFTRAG.Type.INTERCEPT}, 100)

REDBAN:AddSquadron(IRANF4)
REDBAN:NewPayload(GROUP:FindByName("Red F4 CAP"), 20, {AUFTRAG.Type.CAP, AUFTRAG.Type.GCICAP, AUFTRAG.Type.INTERCEPT}, 100)

-----/////////////////////////////////////////////////////////////////////////////////--
-----//////////////////////////////////////AUFTRAGS///////////////////////////////////--
-----/////////////////////////////////////////////////////////////////////////////////--

function bluforawacsone()
  -- AUFTRAG: AWACS

  local bluforawacsmissionone = AUFTRAG:NewAWACS(ZoneAlpha:GetCoordinate(), 35000, 350, 118, 25)
  bluforawacsmissionone:SetTACAN(29, "DXS")
  bluforawacsmissionone:SetRadio(225)
  bluforawacsmissionone:SetRepeat(10)
  --bluforawacsmissionone:SetVerbosity(5)

  BLUMIN:AddMission(bluforawacsmissionone)
 
  -- assign escord Auftrag when Awacs Auftrag is started
function bluforawacsmissionone:OnAfterStarted(From,Event,To)
    --m=MESSAGE:New("Auftrag Awacs started", 10, "Info"):ToAll()
    OpsGroups = bluforawacsmissionone:GetOpsGroups() -- get table of active OpsGroups
    Groupies = OpsGroups[1]:GetGroup() -- need only the 1st
    --self:I{ Groupies = Groupies }
    EscortAwacs = AUFTRAG -- create escort Auftrag
      :NewESCORT(Groupies,{x=-4000, y=0, z=-4000},60,{"Air"})
      :SetMissionRange(250)
      :SetPriority(1,true,10)
	  :SetRepeat(10)
      --:SetVerbosity(5)
    BLUMIN:AddMission(EscortAwacs)
end 
 
end

function blufortankerone()
  -- AUFTRAG: Tanker

  local blufortankermissionone=AUFTRAG:NewTANKER(ZoneBravo:GetCoordinate(), 24000, 350, 210, 50, 0)
  blufortankermissionone:SetTACAN(80, "TKR")
  blufortankermissionone:SetRadio(228)
  blufortankermissionone:SetRepeat(10)
  --blufortankermissionone:SetVerbosity(5)

  BLUMIN:AddMission(blufortankermissionone)
end

function blufortankertwo()
  -- AUFTRAG: Tanker

  local blufortankermissiontwo=AUFTRAG:NewTANKER(ZoneBravo:GetCoordinate(), 22000, 350, 210, 50, 1)
  blufortankermissiontwo:SetTACAN(82, "TKR")
  blufortankermissiontwo:SetRadio(229)
  blufortankermissiontwo:SetRepeat(10)
  --blufortankermissiontwo:SetVerbosity(5)

  BLUMIN:AddMission(blufortankermissiontwo)
end

function bluforcapalpha()
  -- AUFTRAG: CAP

  local capmission=AUFTRAG
  :NewCAP(ZoneCAPAlpha, 28000, 350, ZoneCAPAlpha:GetCoordinate(), 270, 50)
  :SetRadio(305)
  :SetRepeat(10)
  :SetRequiredAssets(2)
  --bluforcapalphamission:SetRequiredAssets(math.random (1, 2))
  --bluforcapalphamission:SetVerbosity(5)

  BLUMIN:AddMission(capmission)
end

function bluforcapbravo()
  -- AUFTRAG: CAP

  local capmission=AUFTRAG
  :NewCAP(ZoneCAPBravo, 28000, 350, ZoneCAPBravo:GetCoordinate(), 0, 50)
  :SetRadio(305)
  :SetRepeat(10)
  :SetRequiredAssets(2)
  --bluforcapbravomission:SetRequiredAssets(math.random (1, 2)
  --bluforcapbravomission:SetVerbosity(5)

  CVN72AW:AddMission(capmission)
end

-- -- --/////////////////////////////////////////////////////////////////////////////////--

function opforcapalpha()
  -- AUFTRAG: CAP

  local opforcapmission=AUFTRAG
  :NewCAP(ZoneCAPREDAlpha, 24000, 350, ZoneCAPREDAlpha:GetCoordinate(), 180, 50)
  :SetRadio(124)
  :SetRepeat(10)
  :SetRequiredAssets(math.random (1, 2))
  --opforcapalphamission:SetVerbosity(5)

  REDSHI:AddMission(opforcapmission)
end

function opforcapbravo()
  -- AUFTRAG: CAP

  local opforcapmission=AUFTRAG
  :NewCAP(ZoneCAPREDBravo, 24000, 350, ZoneCAPREDBravo:GetCoordinate(), 270, 50)
  :SetRadio(124)
  :SetRepeat(10)
  :SetRequiredAssets(math.random (1, 2))
  --opforcapbravomission:SetVerbosity(5)

  REDBAN:AddMission(opforcapmission)
end

function opforcapcharlie()
  -- AUFTRAG: CAP

  local opforcapmission=AUFTRAG
  :NewCAP(ZoneCAPREDCharlie, 24000, 350, ZoneCAPREDCharlie:GetCoordinate(), 270, 50)
  :SetRadio(124)
  :SetRepeat(10)
  :SetRequiredAssets(math.random (1, 2))
  --opforcapbravomission:SetVerbosity(5)

  REDBAN:AddMission(opforcapmission)
end

-----/////////////////////////////////////////////////////////////////////////////////--
-----////////////////////////////////////BORDER GCI///////////////////////////////////--
-----/////////////////////////////////////////////////////////////////////////////////--

RedAir_DetectionSetGroup = SET_GROUP:New()
RedAir_DetectionSetGroup:FilterPrefixes( { "Red EWR" } )
RedAir_DetectionSetGroup:FilterOnce()

-- New Intel type detection
RedIntel = INTEL:New(RedAir_DetectionSetGroup,"red","Red EWR")
RedIntel:SetClusterAnalysis(true,true)
RedIntel:SetForgetTime(300)
RedIntel:AddAcceptZone(RedBorder)
RedIntel.verbose = 0
RedIntel:Start()

RedCapZoneSet = {
["Alpha"] = { REDSHI, ZONE:New("Zone REDCAP Alpha"), "Shiraz Warehouse RED" },
["Bravo"] = { REDBAN, ZONE:New("Zone REDCAP Bravo"), "Bandar Abbas Warehouse RED" },
["Charlie"] = { REDBAN, ZONE:New("Zone REDCAP Charlie"), "Lar Warehouse RED" },
}

function RedIntel:OnAfterNewCluster(From,Event,To,Contact,Cluster)
  local contact = Contact
  local name = contact.groupname --#string
  local threat = contact.threatlevel --#number
  local position = contact.position  --Core.Point#COORDINATE
  --local posstring = position:ToStringBRA(AIRBASE:FindByName(AIRBASE.Syria.Haifa):GetCoordinate())
  --local text = string.format("New contact %s at %s from Palmyra threatlevel %d",name, posstring, threat)
  --local m = MESSAGE:New(text,10,"Red Detection"):ToAll()
  -- calculate closest zone
  local bestdistance = 1000*1000 -- 2000km
  local targetairwing = nil
  local targetawname = ""
  local clustersize = self:ClusterCountUnits(Cluster) or 1
  local wingsize = math.abs(0.5 * clustersize)
  if wingsize < 1 then wingsize = 1 end
  if not Cluster.mission then
    BASE:I(string.format("**** Red Interceptors need wingsize %d", wingsize))
    for _,_data in pairs (RedCapZoneSet) do
      local airwing = _data[1] -- Ops.Airwing#AIRWING
      local zone = _data[2] -- Core.Zone#ZONE
      local zonecoord = zone:GetCoordinate()
      local name = _data[3] -- #string
      local distance = position:DistanceFromPointVec2(zonecoord)
      if distance < bestdistance then
        bestdistance = distance
        targetairwing = airwing
        targetawname = name
      end
    end
    --local text = string.format("Closest Airwing is %s", targetawname)
    --local m = MESSAGE:New(text,10,"Red Detection"):ToAll()
    local repeats = math.random(1,2)
    local InterceptAuftrag = AUFTRAG
      :NewINTERCEPT(contact.group)
      --:SetMissionRange(200)
      :SetPriority(1,true,1)
      :SetRequiredAssets(wingsize)
      :SetRepeatOnFailure(repeats)
      :SetMissionSpeed(450)
    targetairwing:AddMission(InterceptAuftrag)
    Cluster.mission = InterceptAuftrag
 end
end

-- -- Blue Recce
-- -- Spawn Recce Tornado

-- local BlueFrequencyGround = 1800
-- --[[
-- BlueFACFox = SPAWN
--   :New( "Blue Recce Fuchs" )
--   :InitLimit( 1, 100 )
--   :InitRandomizeRoute( 2, 1, 1000 )
--   :InitDelayOff()
--   :OnSpawnGroup(
--     function ( bluefox )
--       local name = bluefox:GetName()
--       JTACAutoLase(name, 1685, false,"all")
--     end 
--   )
--   :SpawnScheduled( BlueFrequencyGround, 0.5 )
-- --]]

--   Spawn_Tornado = SPAWN:New("Blue Recce Tornado")
--     :InitLimit( 2, 0 )
--     :InitRepeatOnLanding()
--     :InitDelayOff()
--     :InitCleanUp( 300 )
--     :SpawnScheduled( 3600, 0.2 )


--   Spawn_Heli = SPAWN:New("Blue Recce AFAC")
--     :InitLimit( 1, 100 )
--     :InitRepeatOnLanding()
--     :InitDelayOff()
--     :InitCleanUp( 300 )
--     :InitRandomizeRoute( 1, 1, 1000 )
--     --:SpawnAtAirbase( AIRBASE:FindByName( "FARP London" ), SPAWN.Takeoff.Air )
--     :SpawnScheduled( 600, 0.75 )
    
BASE:I("CAPGCI Setup Done")